import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (p, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? m(e, s) : e, c = p.length - 1, i; c >= 0; c--)
    (i = p[c]) && (r = (t ? i(e, s, r) : i(r)) || r);
  return t && r && f(e, s, r), r;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowInCircleLarge", this.class = "c-pieIcon c-pieIcon--arrowInCircleLarge", this.name = "IconArrowInCircleLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowInCircleLarge"><path d="M16 3.75a12.25 12.25 0 0 0-11.961 9.625H5.84a10.5 10.5 0 1 1 0 5.25H4.04A12.25 12.25 0 1 0 16 3.75Z"></path><path d="m19.141 16.875-4.165 4.165 1.234 1.234 5.04-5.04c.085-.083.161-.173.227-.272a1.75 1.75 0 0 0 0-1.925 1.7 1.7 0 0 0-.227-.27l-5.04-5.04-1.234 1.233 4.165 4.165H2.875v1.75h16.266Z"></path></svg>`;
  }
};
n([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  g("icon-arrow-in-circle-large")
], o);
export {
  o as IconArrowInCircleLarge
};
